Error Handling(3)

NAME
Error Handling -

  Functions

CUresult cuGetErrorName (CUresult error, const char **pStr)
Gets the string representation of an error code enum name.
CUresult cuGetErrorString (CUresult error, const char **pStr)
Gets the string description of an error code.

Detailed Description

\brief error handling functions of the low-level CUDA driver API (cuda.h)

This section describes the error handling functions of the low-level CUDA driver application programming interface.

Function Documentation

  CUresult cuGetErrorName (CUresult error, const char ** pStr)

Sets *pStr to the address of a NULL-terminated string representation of the name of the enum error code error. If the error code is not recognized, CUDA_ERROR_INVALID_VALUE will be returned and *pStr will be set to the NULL address.

Parameters:
    error - Error code to convert to string
    pStr - Address of the string pointer.

Returns:
    CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE

See also:
    CUresult, cudaGetErrorName

  CUresult cuGetErrorString (CUresult error, const char ** pStr)

Sets *pStr to the address of a NULL-terminated string description of the error code error. If the error code is not recognized, CUDA_ERROR_INVALID_VALUE will be returned and *pStr will be set to the NULL address.

Parameters:
    error - Error code to convert to string
    pStr - Address of the string pointer.

Returns:
    CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE

See also:
    CUresult, cudaGetErrorString

Author

Generated automatically by Doxygen from the source code.